This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 919030 - perl-Glib-Object-Introspection seems to have a big-endian problem, self tests fail on s390* and ppc*
perl-Glib-Object-Introspection seems to have a big-endian problem, self tests...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: perl-Glib-Object-Introspection (Show other bugs)
20
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
: 1071174 (view as bug list)
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-03-07 08:06 EST by Karsten Hopp
Modified: 2015-06-29 07:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:47:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 89552 None None None Never

  None (edit)
Description Karsten Hopp 2013-03-07 08:06:09 EST
Description of problem:
#   Failed test at t/00-basic-types.t line 15.
#          got: '-1'
#     expected: '-127'
#   Failed test at t/00-basic-types.t line 16.
#          got: '0'
#     expected: '255'
#   Failed test at t/00-basic-types.t line 17.
#          got: '-1'
#     expected: '-32767'
#   Failed test at t/00-basic-types.t line 18.
#          got: '0'
#     expected: '65535'
# Looks like you failed 4 tests of 34.
t/00-basic-types.t ............ 
Dubious, test returned 4 (wstat 1024, 0x400)
Failed 4/34 subtests 
#   Failed test at t/arg-checks.t line 11.
#          got: '-1'
#     expected: '-127'
#   Failed test at t/arg-checks.t line 21.
#          got: '0'
#     expected: '127'
# Looks like you failed 2 tests of 5.
t/arg-checks.t ................ 
Dubious, test returned 2 (wstat 512, 0x200)

Version-Release number of selected component (if applicable):
perl-Glib-Object-Introspection-0.015-1.fc19

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f19 perl-Glib-Object-Introspection-0.015-1.fc19.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=973021

Expected results:


Additional info:
Comment 1 Fedora End Of Life 2013-04-03 14:11:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Karsten Hopp 2013-10-16 09:46:48 EDT
Still fails in F20 with perl-Glib-Object-Introspection-0.016-1.fc20:
#   Failed test at t/00-basic-types.t line 15.
#          got: '-1'
#     expected: '-127'
#   Failed test at t/00-basic-types.t line 16.
#          got: '0'
#     expected: '255'
#   Failed test at t/00-basic-types.t line 17.
#          got: '-1'
#     expected: '-32767'
#   Failed test at t/00-basic-types.t line 18.
#          got: '0'
#     expected: '65535'
# Looks like you failed 4 tests of 34.
t/00-basic-types.t ............
Dubious, test returned 4 (wstat 1024, 0x400)
Failed 4/34 subtests
#   Failed test at t/arg-checks.t line 11.
#          got: '-1'
#     expected: '-127'
#   Failed test at t/arg-checks.t line 21.
#          got: '0'
#     expected: '127'
# Looks like you failed 2 tests of 5.
t/arg-checks.t ................ 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/5 subtests 
t/arrays.t .................... ok
t/boxed.t ..................... ok
t/cairo-integration.t ......... ok
t/callbacks.t ................. ok
t/closures.t .................. ok
t/constants.t ................. ok
t/enums.t ..................... ok
t/hashes.t .................... ok
t/interface-implementation.t .. ok
t/objects.t ................... ok
t/structs.t ................... ok
t/values.t .................... ok
t/vfunc-chaining.t ............ ok
t/vfunc-ref-counting.t ........ ok
Test Summary Report
-------------------
t/00-basic-types.t          (Wstat: 1024 Tests: 34 Failed: 4)
  Failed tests:  3-6
  Non-zero exit status: 4
t/arg-checks.t              (Wstat: 512 Tests: 5 Failed: 2)
  Failed tests:  1, 5
  Non-zero exit status: 2
Files=16, Tests=326,  1 wallclock secs ( 0.11 usr  0.02 sys +  0.89 cusr  0.17 csys =  1.19 CPU)
Result: FAIL
Failed 2/16 test programs. 6/326 subtests failed.
make: *** [test_dynamic] Error 255

Additional info:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1455114

How to reproduce:
1. ppc-koji build --scratch f20 perl-Glib-Object-Introspection-0.016-1.fc20.src.rpm
Comment 3 Dan Horák 2014-02-28 03:37:58 EST
*** Bug 1071174 has been marked as a duplicate of this bug. ***
Comment 4 David Dick 2014-10-13 04:33:00 EDT
This problem has been fixed upstream in 0.025.
Comment 5 Dan Horák 2014-10-13 04:54:57 EDT
I can confirm both s390 and s390x are fixed with this version - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1582417
Comment 6 Dan Horák 2014-10-13 04:58:23 EDT
and ppc64 and ppc64le builds are http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2143743
Comment 7 David Dick 2014-10-13 05:04:16 EDT
master can merge from epel7 branch.
Comment 8 Fedora End Of Life 2015-05-29 04:54:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 07:47:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.